Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.util
Class HTTPConnectionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.jivesoftware.util.HTTPConnectionException

All Implemented Interfaces:
  Serializable

    public class HTTPConnectionException

extends Exception

Exception class that wraps an HTTP error code.

Author:
  Gaston Dombiak
See Also:
  Serialized Form

Constructor Summary
`HTTPConnectionException(int errorCode)`

Method Summary
`int` | `getErrorCode()`
`String` | `getMessage()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HTTPConnectionException

    public HTTPConnectionException(int errorCode)

Method Detail

### getErrorCode

    public int getErrorCode()

### getMessage

    public String getMessage()

  Overrides:
    `getMessage` in class `Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.